
//可以打包为js文件;
var x0=0,y0=0,x1=0,y1=0;
var offx=6,offy=6;
var moveable=false;
var hover='orange',normal='#336699';//color;
var index=10000;//z-index;
//开始拖动;
function startDrag(obj)
{
	if(event.button==1)
	{
		//锁定标题栏;
		obj.setCapture();
		//定义对象;
		var win = obj.parentNode;
		var sha = win.nextSibling;
		//记录鼠标和层位置;
		x0 = event.clientX;
		y0 = event.clientY;
		x1 = parseInt(win.style.left);
		y1 = parseInt(win.style.top);
		//记录颜色;
		normal = obj.style.backgroundColor;
		//改变风格;
		obj.style.backgroundColor = hover;
		win.style.borderColor = hover;
		obj.nextSibling.style.color = hover;
		sha.style.left = x1 + offx;
		sha.style.top  = y1 + offy;
		moveable = true;
	}
}
//拖动;
function drag(obj)
{
	if(moveable)
	{
		var win = obj.parentNode;
		var sha = win.nextSibling;
		win.style.left = x1 + event.clientX - x0;
		win.style.top  = y1 + event.clientY - y0;
		sha.style.left = parseInt(win.style.left) + offx;
		sha.style.top  = parseInt(win.style.top) + offy;
	}
}
//停止拖动;
function stopDrag(obj)
{
	if(moveable)
	{
		var win = obj.parentNode;
		var sha = win.nextSibling;
		var msg = obj.nextSibling;
		win.style.borderColor     = normal;
		obj.style.backgroundColor = normal;
		msg.style.color           = normal;
		sha.style.left = obj.parentNode.style.left;
		sha.style.top  = obj.parentNode.style.top;
		obj.releaseCapture();
		moveable = false;
	}
}
//获得焦点;
function getFocus(obj)
{
	if(obj.style.zIndex!=index)
	{
		index = index + 2;
		var idx = index;
		obj.style.zIndex=idx;
		obj.nextSibling.style.zIndex=idx-1;
	}
}
//最小化;
function min(obj)
{
	var win = obj.parentNode.parentNode;
	var sha = win.nextSibling;
	var tit = obj.parentNode;
	var msg = tit.nextSibling;
	var flg = msg.style.display=="none";
	if(flg)
	{
		win.style.height  = parseInt(msg.style.height) + parseInt(tit.style.height) + 2*2;
		sha.style.height  = win.style.height;
		msg.style.display = "block";
		obj.innerHTML = "0";
	}
	else
	{
		win.style.height  = parseInt(tit.style.height) + 2*2;
		sha.style.height  = win.style.height;
		obj.innerHTML = "2";
		msg.style.display = "none";
	}
}
//创建一个对象;
function xWin(id,w,h,l,t,tit,msg)
{
	index = index+2;
	this.id      = id;
	this.width   = w;
	this.height  = h;
	this.left    = l;
	this.top     = t;
	this.zIndex  = index;
	this.title   = tit;
	this.message = msg;
	this.obj     = null;
	this.bulid   = bulid;
	this.bulid();
}
//初始化;
function bulid()
{
	var str = ""
	+ "<div id=xMsg" + this.id + " "
	+ "style='"
	+ "z-index:" + this.zIndex + ";"
	+ "width:" + this.width + ";"
	+ "height:" + this.height + ";"
	+ "left:" + this.left + ";"
	+ "top:" + this.top + ";"
	+ "background-color:" + normal + ";"
	+ "color:" + normal + ";"
	+ "font-size:8pt;"
	+ "font-family:Tahoma;"
	+ "position:absolute;"
	+ "cursor:default;"
	+ "border:0px solid " + normal + ";"
	+ "' "
	+ "onmousedown='getFocus(this)'>dsfsdf"
	+ "<div style='"
	+ "width:100%;"
	+ "height:" + (this.height-20-4) + ";"
	+ "background-color:white;"
	+ "line-height:14px;"
	+ "word-break:break-all;"
	+ "padding:0px;"
	+ "'>" + this.message + "</div>"
	+ "</div>"
	+ "<div id=xMsg" + this.id + "bg style='"
	+ "width:" + this.width + ";"
	+ "height:" + this.height + ";"
	+ "top:" + this.top + ";"
	+ "left:" + this.left + ";"
	+ "z-index:" + (this.zIndex-1) + ";"
	+ "position:absolute;"
	+ "background-color:black;"
	+ "filter:alpha(opacity=40);"
	+ "'></div>";
	document.body.insertAdjacentHTML("beforeEnd",str);
	//alert(str);
}
//显示隐藏窗口
function ShowHide(id,dis){
	var bdisplay = (dis==null)?((document.getElementById("xMsg"+id).style.display=="")?"none":""):dis
	document.getElementById("xMsg"+id).style.display = bdisplay;
	document.getElementById("xMsg"+id+"bg").style.display = bdisplay;
}
//modify by haiwa @ 2005-7-14
//
//-->
function initialize()
{
	var w_width=0;
	var w_height=0;
	var w_left=0;
	var w_top=0;
	if((screen.width==1280) && (screen.height==1024)) {
		w_width=0;
		w_heigth=0;
		w_left=380;
		w_top=200;
	}
	else if((screen.width==1024) && (screen.height==768)) {
		w_width=400;
		w_heigth=0;
		w_left=300;
		w_top=340;
	}
	var a = new xWin("1",w_width,w_heigth,w_left,w_top,"","<div id='gather_statu' style='background:url(images/action.gif);width:296px;height:136px;text-indent:1em;' align='left'><div style='margin-top:12px;color:#000;font-size:15px;'>&nbsp;</div><div id='cur_gather' style='color:#E00;font-size:15px;width:275px;height:20px;overflow:hidden;'></div></div>");
	ShowHide("1","none");//隐藏窗口1
}

var __sender=false;
var __id=0;
function gather_start(sender){
	if(sender){
		__sender=sender;
		sender.disabled=true;
	}
	var gather_form=document.getElementById("gather_form");
	if(typeof(gather_form)!='object')return false;
	id=0;
	for(var i=0;i<gather_form.elements.length;i++){
		var o = gather_form.elements[i];
		if(o.type=="checkbox" &&o.checked&& o.name=='n_id[]'&&o.value&&id==0){
			id=parseInt(o.value);
		}
		o.disabled=true;
	}
	if(id==0){
		alert('当前页已经采集完成');
		restore_statu();
	}else{
		var cmd=new servercmd('gather.php?ajaxcallback=1&doaction=gather_web&id='+id,__gather_callback,true);    
		cmd.execute();
		document.getElementById("cur_gather").innerHTML="当前采集:"+document.getElementById("title_"+id).innerHTML;
		document.getElementById("downstatu_"+id).innerHTML="<font color=blue>采集中...</font>";
	}
}

function __gather_callback(sussess,retmsg){
	if(sussess){
		if(false!==(arrRet=parseServerResult(retmsg))){
			if(arrRet["js"]!==""){
				eval(arrRet["js"]);
				gather_start(null);
			}
		}
	}else{
		alert('超时失败');
		restore_statu();
	}
}

function restore_statu(){
	var gather_form=document.getElementById("gather_form");
	__sender.disabled=false;
		ShowHide("1","none");//隐藏窗口1
		for(var i=0;i<gather_form.elements.length;i++){
			var o = gather_form.elements[i];
			if(o.type=="checkbox" && (o.name=='n_id[]'||o.name=='all_select'))o.disabled=false;
		};
}
window.onload = initialize;